Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.rsdn.patterns.mvc.view
Class AbstractView<M extends Model<P>,P>

    java.lang.Object
      ru.rsdn.patterns.mvc.view.AbstractView<M,P>

Type Parameters:
  `M` - модель
  `P` - свойство модели

All Implemented Interfaces:
  IModelSubscriber<P>

Direct Known Subclasses:
  ListView, View

    public abstract class AbstractView<M extends Model<P>,P>

extends java.lang.Object
implements IModelSubscriber<P>

Абстрактное представление

Field Summary
`private Controller<M,P>` | `controller`
`private M` | `model`

Constructor Summary
`AbstractView()`

Method Summary
`protected Controller<M,P>` | `getController()`
`protected M` | `getModel()`
`protected void` | `redo()` Повторить последнее отмененное изменение
`void` | `setModel(M _model)` Установить модель
`private void` | `subscribe()`
`protected void` | `undo()` Отменить последнее изменение
`protected void` | `unsubscribe()` Снять подписку с модели

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface ru.rsdn.patterns.mvc.model.IModelSubscriber
`modelChanged`

Field Detail

### model

    private M extends Model<P> model

### controller

    private final Controller<M extends Model<P>,P> controller

Constructor Detail

### AbstractView

    public AbstractView()

Method Detail

### getModel

    protected M getModel()

  Returns:
    модель

### setModel

    public void setModel(M _model)

  Установить модель

  Parameters:
    `_model` - модель

### subscribe

    private void subscribe()

### unsubscribe

    protected void unsubscribe()

  Снять подписку с модели

### getController

    protected Controller<M,P> getController()

  Returns:
    контроллер

### undo

    protected void undo()

  Отменить последнее изменение

### redo

    protected void redo()

  Повторить последнее отмененное изменение

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD